DocsAPIInvestments

List investments

Returns a paginated list of investments across all portfolio companies. Optionally filter by fund or portfolio company.

GET
/investments
Query Params

Filter investments by fund ID

Example: 1

Filter investments by portfolio company ID

Example: 10

Convert monetary amounts into this currency. Accepts an ISO 4217 code, `fund` (each investment in its own fund's currency, the default) or `company` (each investment in the portfolio company's own currency). The `currency` field on each investment reports what was used.

Example: EUR

Maximum number of results (1-1000, default: 500)

Example: 500

Number of results to skip (default: 0)

Example: 0

Credentials

Bearer
curl -X GET "https://api.fundra.com/v1/investments?fund_id=1&portfolio_company_id=10&currency=EUR" \
  -H "Authorization: Bearer <token>"

Successfully retrieved investments

{
  "data": [
    {
      "id": "1",
      "portfolio_company_id": "10",
      "funding_round_id": "5",
      "date": "2023-06-15",
      "currency": "USD",
      "instrument_type": "primary",
      "investment_type": "Original",
      "funds_role": "Lead",
      "round_identifier": "Series A",
      "round_identifier_raw": "Series A-1",
      "invested_capital": 1000000,
      "total_acquisition_cost": 1050000,
      "transaction_cost": 50000,
      "share_price": {
        "currency": "USD",
        "value": 10.5
      },
      "shares_acquired": 95238,
      "shares_owned": 95238,
      "shares_issued": 1000000,
      "shareholding_fd": 0.095,
      "shareholding": 0.12,
      "multiple_on_invested_capital": 2.5,
      "multiple_on_invested_capital_company": 2.3,
      "multiple_on_original_share_price": 3,
      "fx_gain_loss": 15000,
      "holding_period_months": 18,
      "is_internal_round": false,
      "round_info": {
        "pre_money": 8000000,
        "post_money": 10000000,
        "round_size": 2000000,
        "currency": "USD"
      },
      "company": {
        "id": "1",
        "uuid": "550e8400-e29b-41d4-a716-446655440000",
        "name": "Acme Inc",
        "domain": "acme.com",
        "logo_url": "https://example.com/logo.png",
        "country": "United States",
        "segment": "SaaS"
      },
      "fund": {
        "id": "1",
        "uuid": "550e8400-e29b-41d4-a716-446655440001",
        "name": "Fund I",
        "currency": "EUR"
      }
    }
  ],
  "pagination": {
    "total": 150,
    "limit": 100,
    "offset": 0
  }
}